OpenNMS API 1.2.9

## org.opennms.report.availability
Class AvailabilityReportTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.report.availability.AvailabilityReportTest

All Implemented Interfaces:
  junit.framework.Test

public class AvailabilityReportTest
extends junit.framework.TestCase

Field Summary
`protected java.util.Calendar` `calendar`
`protected Categories` `m_categories`
`protected MockCategoryFactory` `m_catFactory`
`protected MockDatabase` `m_db`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`AvailabilityReportTest()`

Method Summary
`private Report` `buildReport(java.util.Calendar calendar, java.lang.String calFormat)`
`private double` `fourDec(double number)`
`private Day` `getCalSectionDay(Category category, java.lang.String title, int row, int col)`
`private Section` `getSectionByName(Category category, java.lang.String sectionName)`
`private int` `numRowsWithValue(Section section, java.lang.String title, java.lang.String data)`
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testBuiltCalendarReport()`
`void` `testBuiltClassicReport()`
`void` `testMyDatabase()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_db

    protected MockDatabase m_db

### m_categories

    protected Categories m_categories

### calendar

    protected java.util.Calendar calendar

### m_catFactory

    protected MockCategoryFactory m_catFactory

Constructor Detail

### AvailabilityReportTest

    public AvailabilityReportTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSectionByName

    private Section getSectionByName(Category category,
                                     java.lang.String sectionName)

### getCalSectionDay

    private Day getCalSectionDay(Category category,
                                 java.lang.String title,
                                 int row,
                                 int col)

### fourDec

    private double fourDec(double number)

### numRowsWithValue

    private int numRowsWithValue(Section section,
                                 java.lang.String title,
                                 java.lang.String data)

### buildReport

    private Report buildReport(java.util.Calendar calendar,
                               java.lang.String calFormat)

### testMyDatabase

    public void testMyDatabase()

### testBuiltClassicReport

    public void testBuiltClassicReport()

### testBuiltCalendarReport

    public void testBuiltCalendarReport()

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.